# $Revision: 1.40.2.3 $, $Date: 2008-05-18 15:28:52 $
#
# Conditional build:
%bcond_without	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Convert raw text to something with a little HTML formatting
Summary(pl):	Konwersja czystego tekstu na HTML, rozpoznajc troch sformatowania
Name:		txt2html
Version:	2.51
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Applications/Text
Source0:	http://dl.sourceforge.net/txt2html/%{name}-%{version}.tar.gz
# Source0-md5:	e870c5443893b84894aa44980a35b2ea
URL:		http://www.sourceforge.net/projects/txt2html/
BuildRequires:	perl-Module-Build >= 0.26
%if %{with tests}
BuildRequires:	perl-Getopt-ArgvFile
BuildRequires:	perl-Test-Distribution
BuildRequires:	perl-YAML-Syck
%endif
Requires:	perl-Getopt-ArgvFile
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
My intent in writing this tool is to provide an easier way of
converting existing text documents to HTML format. txt2html can also
be used to aid in writing new HTML documents, but there are probably
better ways of doing that.

%description -l pl
Narzdzie uatwia konwersj dokumentw tekstowych na HTML. txt2html
moe te by uyty do pisania nowych dokumentw HTML, chocia na to
pewnie istniej lepsze sposoby.

%prep
%setup -q

%build
%{__perl} Build.PL \
	installdirs=vendor

./Build
%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/misc

./Build install \
	destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes DEVNOTES TODO
%attr(755,root,root) %{_bindir}/txt2html
%{_mandir}/man*/*
%{perl_vendorlib}/HTML/*.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: txt2html.spec,v $
Revision 1.40.2.3  2008-05-18 15:28:52  adamg
- updated to 2.51

Revision 1.40.2.2  2007-12-22 20:43:12  adamg
- spaces -> tabs

Revision 1.40.2.1  2007-12-22 20:42:25  adamg
- updated to 2.50 (merged from HEAD)

Revision 1.40  2005-01-09 15:08:06  adamg
- updated to 2.34

Revision 1.39  2005/01/05 11:24:40  adamg
- BuildRequires: perl-Module-Build; release 1

Revision 1.38  2005/01/05 11:16:14  adamg
- updated to 2.33

Revision 1.37  2004/10/31 15:11:54  paladine
- spaces->tabs
- formatting

Revision 1.36  2004/09/09 22:18:08  paszczus
- reverted changes

Revision 1.35  2004/09/09 21:59:06  paszczus
- updated to 0.5.3

Revision 1.34  2004/06/05 17:30:49  radek
- include /usr/lib/rpm/macros.perl

Revision 1.33  2004/05/24 19:03:08  qboosh
- current License is same as perl

Revision 1.32  2004/05/23 23:10:02  adamg
- updated to 2.25

Revision 1.31  2004/05/16 13:18:26  adamg
- updated to 2.24

Revision 1.30  2004/05/15 15:23:41  radek
- release 3: %%perl_{priv,arch}lib allowed only for packages built from perl.spec

Revision 1.29  2004/03/20 22:25:58  krzak
- Requires:       perl-Getopt-ArgvFile

Revision 1.28  2004/02/26 20:41:54  adamg
- updated to 2.23
- use 'make install'
- removed duplicated README file from %%doc
- added man pages
- added TextToHTML.pm

Revision 1.27  2004/02/04 18:17:16  adamg
- updated to 2.21

Revision 1.26  2003/12/13 14:00:47  adamg
- updated to 2.20

Revision 1.25  2003/12/12 20:32:10  adamg
- updated to 2.10
- commented out BR: perl-ExtUtils-configPL (hey, what does provide this one
  anyway?)

Revision 1.24  2003/10/26 13:25:13  arekm
- updated to 2.03

Revision 1.23  2003/06/11 06:55:28  adamg
- updated to 1.00b2

Revision 1.22  2003/05/28 13:02:24  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:27:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/08/18 13:41:14  blues
- release 4 - license fix, new doc

Revision 1.19  2002/03/03 10:59:12  kloczek
- release 3: added %build and install script txt2html using install
  as workaround for allow scripts finding dependencies recognize this file
  as perl script.

Revision 1.18  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/23 14:40:40  qboosh
- adapterized, s/Copyright/License/

Revision 1.15  2001/02/21 05:54:57  kloczek
- typo.

Revision 1.14  2001/02/21 05:54:32  kloczek
- release 2,
- fixed %setup macro.

Revision 1.13  2000/06/16 16:01:06  kloczek
- updated to 1.28,
- spec adapterized.

Revision 1.12  2000/04/11 10:59:07  kloczek
- updated to 1.27,
- updated URL and Source url.

Revision 1.11  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.9  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jul  5 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.25-4]
- more rpm macros,
- txt2html-linkdict moved to %%{_datadir}/misc/ (FHS 2.0),
- gzipping %doc.

* Fri Sep 25 1998 Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>
  [1.25-3]
- added pl translation,
- added %setup -q parameter,
- replaced `mkdir -p' with more standard `install -d',
- minor clean-ups in the install script.
